Smokin Guns no abre o abre y no se escucha el sonido (solución) - Legión GA

Página oficial de Legión GNU/Linux de la comunidad de Telegram

Únete a Telegram

13 sept 2021

Smokin Guns no abre o abre y no se escucha el sonido (solución)


Smokin Guns no abre o abre y  no se escucha el sonido (solución) 


Bienvenido a mi pagina si sos alguien de la comunidad de Legión linux ya sabes de este juego porque ya lo hemos jugado y a su vez por tener servidores en latinoamérica siendo más claro de parte de Legión Linux Gamers y de Locos x linux. Si por alguna razón no conoces los grupos de discord y de telegram sugiero que mires la parte superior y en el menú desplegable de la página en donde puedes encontrar los enlaces directos. 

Centrándonos en el problema de que en algunas distros smokins guns no abre es por la falta de una librería llamada SDL la cual se instala de diferente maneras. Por lo cual le doy una lista de la dependencias. 

$ libSDL-1.2.so.0

$ lib32-sdl_image

$ sdl2_mixer

Pueden buscar como instalar la librería en cada distribución , por mi parte tengo una basada en arch es el manjaro. 

$ sudo pacman -S lib32-sdl_image sdl2_mixer 

Si no te funciona como fue el caso mio tuve que instalar una libreria "lib32-libpulse" , esta ligado al "openall"

Loading "libopenal.so.1"...

Failed to load library: "libopenal.so.1".

SDL_Init( SDL_INIT_AUDIO )... ALSA lib dlmisc.c:337:(snd_dlobj_cache_get0) Cannot open shared library libasound_module_pcm_pulse.so (libpulse.so.0: cannot open shared object file: No such file or directory)

OK

SDL audio driver is "(UNKNOWN)".

SDL_OpenAudio() failed: No available audio device

Sound initialization failed. 

Esto se arregla instalando de esta manera : 

$  sudo pacman -S lib32-libpulse

Las dependencias son las siguientes : 

lib32-dbus-1.12.20-1  lib32-flac-1.3.3-1

              lib32-libasyncns-0.8+3+g68cd5af-2  lib32-libcap-2.53-1

              lib32-libgcrypt-1.9.4-1  lib32-libogg-1.3.5-1

              lib32-libsndfile-1.0.31-1  lib32-libtirpc-1.3.2-1

              lib32-libvorbis-1.3.7-1  lib32-libxtst-1.2.3-2

              lib32-opus-1.3.1-1  lib32-pam-1.5.1-2  lib32-systemd-248.7-1

              lib32-libpulse-15.0-1


Dependencias opcionales para lib32-libpulse

    lib32-alsa-plugins: ALSA support [instalado]

    lib32-glib2: mainloop integration

No hay comentarios.:

Publicar un comentario